// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include "point.hh"

Point::Point()
{
  x_pos = y_pos = 0;
}

Point::Point(const Point& p)
{
  x_pos = p.x_pos;
  y_pos = p.y_pos;
}

Point::Point(int x, int y)
{
  x_pos = x;
  y_pos = y;
}

int
Point::get_x()
{
  return x_pos;
}

int
Point::get_y()
{
  return y_pos;
}

void
Point::set_x(int x)
{
  x_pos = x;
}

void
Point::set_y(int y)
{
  y_pos = y;
}

void
Point::set_xy(int x, int y)
{
  x_pos = x;
  y_pos = y;
}

/* EOF */
